%define distver 1_2-RELEASE

Name:		gogoc
Version:	1.2
Release:	3%{?dist}
Summary:	IPv6 TSP client for gogo6

Group:		System Environment/Daemons
License:	Distributable
URL:		http://gogonet.gogo6.com/page/freenet6-services
Source0:	http://gogo6.com/downloads/%{name}-%{distver}.tar.gz
Source1:	gogo6-init.d
# Patch0:		gogoc-1.2-gcc.patch
Patch1:		gogoc-1.2-dirpath.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc-c++, kernel-headers, openssl-devel
# Requires:	

Requires(post):	chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts

%description
TSP is a control protocol used to establish and maintain static 
tunnels. The gogoCLIENT is used on the host computer to connect 
to a tunnel broker using the TSP protocol and to get the information 
for its tunnel. When it receives the information for the tunnel, the 
gogoCLIENT creates the static tunnel on its operating system.


%prep
%setup -q -c %{name}-%{distver}
# % patch0 -b .gcc
%patch1 -b .dirpath

%build
cd %{name}-%{distver}/%{name}-tsp
# % configure
make %{?_smp_mflags} -j1 all


%install
rm -rf $RPM_BUILD_ROOT
cd %{name}-%{distver}/%{name}-tsp
# make install DESTDIR=$RPM_BUILD_ROOT
make installdir=$RPM_BUILD_ROOT%{_prefix} install
%{__install} -d $RPM_BUILD_ROOT%{_datadir} $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
# mv $RPM_BUILD_ROOT% {_prefix}/man $RPM_BUILD_ROOT% {_mandir}
%{__gzip} $RPM_BUILD_ROOT%{_mandir}/man5/%{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
%{__install} -d $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
%{__install} -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/%{name}
cat >> $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/%{name} << EOF
GOGOC_OPTS=
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
    /sbin/service %{name} status > /dev/null 2>&1
    if [ $? = 3 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1
    fi
    /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service %{name} condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc %{name}-%{distver}/CLIENT-LICENSE.TXT %{name}-%{distver}/GUI-LICENSE.TXT %{name}-%{distver}/INSTALL %{name}-%{distver}/README
%doc %{_mandir}/man5/%{name}.conf.5.gz
%doc %{_mandir}/man8/%{name}.8.gz
%dir %config(noreplace) %attr(0755,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/%{name}.conf.sample
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}

%changelog
* Thu Jul 22 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.2-3
- add initrd entry
- add sysconfig file

* Wed Jul 21 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.2-2
- Get the directory structure to settle down a bit

* Thu Jul 15 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.2-1
- initial build

